# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-flask-silk
%global mod_name	Flask-Silk

Name:		python-module-flask-silk
Version:	0.1.2
Release:	alt1_2
Summary:	Adds silk icons to your Flask application or module, or extension
Group:		Development/Python
License:	BSD and CC-BY-SA
URL:		http://github.com/sublee/flask-silk/
Source0:	http://pypi.python.org/packages/source/F/%{mod_name}/%{mod_name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	python-module-flask
BuildRequires:	python-module-setuptools
Source44: import.info

%description
Adds silk icons to your Flask application or module, or extension.

%prep
%setup -q -n %{mod_name}-%{version}
# avoid issues due to flaskext added to PYTHONPATH by the time test.py is run
sed -i 's|^\(from \)flaskext\.\(silk\)|\1\2|' test.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root $RPM_BUILD_ROOT

%check
PYTHONPATH=$PWD/build/lib/flaskext:$PYTHONPATH python test.py

%files
%doc LICENSE PKG-INFO README
%{python_sitelibdir_noarch}/*-nspkg.pth
%{python_sitelibdir_noarch}/*.egg-info/
%{python_sitelibdir_noarch}/flaskext/silk

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.2-alt1_2
- update to new release by fcimport

* Sun Jan 06 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.2-alt1_1
- initial fc import

